ApiBilling
List flat pricing
Returns flat-rate per-GiB pricing for storage resources such as block storage and backup storage.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/pricing/flat"{ "pricing": [ { "id": "block_storage", "price_monthly": "0.10", "price_hourly": "0.0001488" }, { "id": "backup_storage", "price_monthly": "0.05", "price_hourly": "0.0000744" } ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}